当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ati+intel双显卡笔记本安装13.1版本A卡驱动(适用于ubuntu12.10)
帖子发表于 : 2013-01-29 11:11 

注册: 2013-01-28 17:02
帖子: 2
系统: ubuntu_12.10
送出感谢: 0 次
接收感谢: 0 次
机器:DELL-vostro1450
独显芯片:AMD 6470M
系统:ubuntu_12.10_i386

声明:写这篇贴子完全是因为被双显卡+显卡驱动欺负惨了。发现更新后的A卡催化剂能支持双显卡的ubuntu12.10后,和大家共享安装显卡需要注意的细节。

正文:

1.打开AMD官方在线说明,完成以下的准备工作
http://wiki.cchtml.com/index.php/Ubuntu ... 7s_site.29

检查系统环境
BIOS禁用A卡或i卡的童鞋,取消禁用;改写rc.local文件禁用A卡的童鞋,直接将将rc.local文件中添加的两行删除或者注释掉,重启机器即可。
我在装13.10催化剂的时候,A卡和i卡都处于启用状态。


安装下面这些关联包:
sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases linux-headers-generic

如果你的系统是64位操作系统(32位操作系统直接跳过,看第2步):
a. 安装32位库
sudo apt-get install ia32-libs
b. 执行下面的命令建立软联接/usr/lib64 至 /usr/lib :
cd /usr ; sudo ln -svT lib /usr/lib64

2.官网下载最新13.1的A卡催化剂并安装(我下载的是支持HD6000M系列驱动)
http://support.amd.com/cn/gpudownload/l ... linux.aspx

解压缩下载的安装包
unzip amd-driver-installer-catalyst-13.1-linux-x86.x86_64.zip
为解压缩后的安装文件赋予执行权限
chmod +x amd-driver-installer-catalyst-13.1-linux-x86.x86_64.run


3.图形化安装13.1驱动
有的童鞋可能要问,官方文档要求打成deb包再安装,你为啥直接图形化安装?
答:因为我打deb包的时候刷了满屏的报错+指示信息,我头疼。

执行下面的语句,稍等片刻图形化的安装界面就会弹出来
sudo sh ./amd-driver-installer-catalyst-13.1-linux-x86.x86_64.run

图形化界面的操作不用多说,总共就两步--选择典型安装、点击下一步并等待安装结束;结束时会自动提示需要重启机器,选Yes自动重启。


4.一般重启后即可识别A卡。如果此时没能识别A卡(我没遇到),按官方文档提示执行
sudo aticonfig --initial -f
或者
你的显卡太新了,例如Radeon HD 6870 ---aticonfig不能完全支持怎么办,按官方提示创建一个基本的/etc/X11/xorg.conf文件,原有文件备份。
sudo mv /etc/x11/xorg.conf xorg.conf.bak
sudo touch /etc/x11/xorg.conf
用编辑器打开xorg.conf这个新建的空白文件,添加以下内容
Section "Device"
Identifier "ATI radeon 6870"
Driver "fglrx"
EndSection
保存后重启机器。


正文结束over.


背景故事:这两周刚刚抛弃win7 , 受不鸟了。强烈的思想斗争过后开始Liunx的旅程,从官网下了最新的ubuntu12.10ISO镜像文件。看到12.04LTS版本,我只认识Redhat 5 or 6 enterprise linux , oracle linux , suse 9\10\11 linux ,完全不知道LTS是嘛意思 。 :em06

悲剧开始了。

一开始认为驱动装不上,是双显卡的问题。立刻重启进BIOS去关集显,翻遍BIOS没找到开关选项,TMD什么情况? 打DELL技术热线询问,等待约20分钟得到明确回复,除少量XPS笔记本型号,DELL全系列笔记本的BIOS都没有关闭i卡或a卡的功能......NM :em20

前前后后来回折腾,12.10催化剂能编译deb包、也能install,从fglrxinfo报错看X11就是不识别。由于对linux下显卡驱动毫无了解,为了确定自己显卡装不上的原因把坛子里的关于双显卡和xorg的贴子挨着看了一遍。在这里感谢jamesarch的帖子(http://forum.ubuntu.org.cn/viewtopic.php?f=42&t=396107)让我了解A卡驱动对于Xorg的版本兼容问题。

之后按照jamesarch的办法,成功安装过A卡驱动12.1 。
再后来A卡驱动13.1出来了,查阅官方说明没说支持Xorg7.7 (ubuntu12.10安装的Xorg7.7 , ubuntu12.04是Xorg7.6)。疑惑,到底行不行 ? 结果证明图形化安装是没问题的,A卡催化剂13.1安装包里声明的是支持Xorg6.9 or later 。

总结:
现在ubuntu装A卡驱动不用考虑双显卡的问题了,但是需要注意A卡和Xorg的适配,建议在装驱动之前先看一遍官方在线说明。
http://wiki.cchtml.com/index.php/Ubuntu ... 7s_site.29

看我写的贴子,还不如去看官方在线说明,那里面更详细一些。 :em06


页首
 用户资料  
 
2 楼 
 文章标题 : Re: ati+intel双显卡笔记本安装13.1版本A卡驱动(适用于ubuntu12.10)
帖子发表于 : 2013-01-29 14:00 

注册: 2013-01-28 17:02
帖子: 2
系统: ubuntu_12.10
送出感谢: 0 次
接收感谢: 0 次
自己做沙发,发贴回帖都破自己的记录了。 :em05


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ati+intel双显卡笔记本安装13.1版本A卡驱动(适用于ubuntu12.10)
帖子发表于 : 2013-01-29 21:31 
头像

注册: 2009-01-19 15:09
帖子: 1982
送出感谢: 4
接收感谢: 8
支持新人,强人!


_________________
坚守在linux的天堂!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译